
Pre-Development - Feature #19663

FE - React - Deploy into Docker environment and able to browse

06 February 2024 10:32 AM - chok yee fan

Status: Feedback Start date: 06 February 2024

Priority: Normal Due date:  

Assignee: chok yee fan % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

R&D deployment into the docker environment and able to browse from the browser.

History

#1 - 06 February 2024 03:00 PM - chok yee fan

- Assignee changed from chok yee fan to Nityanantan Nityanantan

Focus on the profile cc_core first, second is cc_auth, cc_topnavbar and cc_iam.

1. need to execute script for build the react. e.g. yarn build

2. after build the output need to put it into the NGNIX

3. run the docker and able to browse from the browser.

Expected output

DockerFile

compose.yaml

command for run/build the docker

e.g.

https://github.com/docker/awesome-compose/tree/master/react-nginx

#2 - 04 March 2024 03:51 PM - Nityanantan Nityanantan

- Status changed from New to Resolved

- Assignee changed from Nityanantan Nityanantan to Hazimi Muhammad

nity- Fixed Docker proxy pass and update readme

https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-core/-/commit/3632cc348a7193ea30faf35a1fd6fb2d73f0341e

https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-am/-/commit/031661c948d59e1d7064134345d840d436f86c35

#3 - 04 March 2024 04:30 PM - Hazimi Muhammad

- Status changed from Resolved to Feedback

- Assignee changed from Hazimi Muhammad to chok yee fan
https://github.com/docker/awesome-compose/tree/master/react-nginx
https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-core/-/commit/3632cc348a7193ea30faf35a1fd6fb2d73f0341e
https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-am/-/commit/031661c948d59e1d7064134345d840d436f86c35


Already test by installing the docker,

yarn docker:build and yarn docker:up

Cannot find any issue.
